<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- File/Synopsis/Lexer.hh.html -->
<!-- this view was generated by FileIndex -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/Lexer.hh</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileIndex">
<b >Synopsis/Lexer.hh</b>
<div><a href="../../Source/Synopsis/Lexer.hh.html" target="content">source code</a></div>
<div><a href="../../FileDetails/Synopsis/Lexer.hh.html" target="content">details</a></div>
<div class="heading">Declarations</div>
Synopsis<br/>
<div class="fileview-scope"><div class="href"><a href="../../Scopes/Synopsis/Buffer.html" target="content" title="(class)">Buffer</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer.html" target="content" title="(class)">Lexer</a></div><div class="fileview-scope"><div class="href"><a href="../../Scopes/Synopsis/Lexer.html#Comments" target="content" title="(typedef)">Comments</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer.html#Dictionary" target="content" title="(typedef)">Dictionary</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer/InvalidChar.html" target="content" title="(struct)">InvalidChar</a></div><div class="fileview-scope"><div class="href"><a href="../../Scopes/Synopsis/Lexer/InvalidChar.html#InvalidChar_lconst.std_mstring_A_r" target="content" title="(member function)">InvalidChar</a></div></div><div class="href"><a href="../../Scopes/Synopsis/Lexer.html#Lexer_lBuffer_S_cint_r" target="content" title="(member function)">Lexer</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer/Queue.html" target="content" title="(class)">Queue</a></div><div class="fileview-scope"><div class="href"><a href="../../Scopes/Synopsis/Lexer/Queue.html#Container" target="content" title="(typedef)">Container</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer/Queue.html#at_lsize_type_rconst" target="content" title="(member function)">at</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer/Queue.html#my_container" target="content" title="(data member)">my_container</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer/Queue.html#push_lconst.Token_A_r" target="content" title="(member function)">push</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer/Queue.html#size_type" target="content" title="(typedef)">size_type</a></div></div><div class="href"><a href="../../Scopes/Synopsis/Lexer.html#TokenSet" target="content" title="(enum)">TokenSet</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer.html#get_token_lToken_A_r" target="content" title="(member function)">get_token</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer.html#look_ahead_lsize_t_r" target="content" title="(member function)">look_ahead</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer.html#look_ahead_lsize_t_cToken_A_r" target="content" title="(member function)">look_ahead</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer.html#my_buffer" target="content" title="(data member)">my_buffer</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer.html#my_comments" target="content" title="(data member)">my_comments</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer.html#my_keywords" target="content" title="(data member)">my_keywords</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer.html#my_token" target="content" title="(data member)">my_token</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer.html#my_tokens" target="content" title="(data member)">my_tokens</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer.html#origin_lconst.char_S_cstd_mstring_A_rconst" target="content" title="(member function)">origin</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer.html#read_char_const_lunsigned.long_r" target="content" title="(member function)">read_char_const</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer.html#read_number_lchar_cunsigned.long_r" target="content" title="(member function)">read_number</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer.html#read_token_lconst.char_S_A_csize_t_A_r" target="content" title="(member function)">read_token</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer.html#restore_lconst.char_S_r" target="content" title="(member function)">restore</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer.html#save_l_r" target="content" title="(member function)">save</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer.html#screen_lconst.char_S_csize_t_r" target="content" title="(member function)">screen</a></div><div class="href"><a href="../../Scopes/Synopsis/Lexer.html#single_char_op_lunsigned.char_r" target="content" title="(member function)">single_char_op</a></div></div><div class="href"><a href="../../Scopes/Synopsis.html#is_blank_lchar_r" target="content" title="(function)">is_blank</a></div></div>

</body>
</html>
